/*
 * Copyright (c) 2002-2003 IST-2004-2006-511731 ModelWare - ModelBus.
 * All rights reserved.
 *
 * This software is published under the terms of the ModelBus Software License
 * in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * A copy of ModelBus Software License is provided with this distribution in
 * doc/LICENSE.txt file.
 */

/*
 * Created on 22 juil. 2005
 *
 */
package org.eclipse.mddi.modelbus.adapter.infrastructure.registry;


/**
 * @author Prawee Sriplakich (LIP6)
 *
 *
 */
public class RegistryNotAvailableException extends Exception {
    
    /**
     * 
     */
    private static final long serialVersionUID = 6327574142223126254L;

    public RegistryNotAvailableException(String message, Exception e) {
        super(message, e);
    }

    public RegistryNotAvailableException(Exception e) {
        super(e);
    }    
    
    public RegistryNotAvailableException(String message) {
        super(message);
    }    
    
    public RegistryNotAvailableException() {
        super();
    }    
}
